LWTextInternal::PLC Struct Reference

Internal : the different plc types: mainly for debugging. More...

## Public Member Functions

| PLC ()
| the constructor More...

## Public Attributes

PLCType | m_type
| the PLC types More...
int | m_id
| the id More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, PLC const &plc)
| operator<< More...

## Detailed Description

Internal : the different plc types: mainly for debugging.

## Constructor & Destructor Documentation

LWTextInternal::PLC::PLC | ( |  | ) |

inline

the constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | PLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string LWTextInternal::PLC::m_extra

extra data

Referenced by LWTextInternal::operator<<(), LWText::readFont2(), LWText::readRuby(), and LWText::readStyleU().

int LWTextInternal::PLC::m_id

the id

Referenced by LWTextInternal::operator<<(), LWText::readFont2(), LWText::readFonts(), LWText::readRuby(), LWText::readRulers(), and LWText::readStyleU().

PLCType LWTextInternal::PLC::m_type

the PLC types

Referenced by LWTextInternal::operator<<(), LWText::readFont2(), LWText::readFonts(), LWText::readRuby(), LWText::readRulers(), and LWText::readStyleU().

The documentation for this struct was generated from the following file:

- LWText.cxx